Redmine - Feature #2035

Issue reporter should be editable
2008-10-15 21:24 - Jack Christensen

Status: Reopened Start date: 2008-10-15
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Issues Estimated time: 0.00 hour

Target version:

Resolution:

Description

If someone calls or emails me an issue | need to be able to enter the issue, but have the issue reporter be the person who called or
emailed me.

Related issues:
Is duplicate of Redmine - Feature #1739: Add ability to change issue author Reopened 2008-08-04

History

#1 - 2008-10-16 03:40 - Eric Davis

+1 It would be nice to have a permission for this so only specific Roles can edit the reporter.

#2 - 2008-10-16 10:03 - Thomas Lecavelier

To prevent abuse, and to keep track of "who did what?", user entering the issue have to be visible, too.
Personnaly, | see this as a plugin (only big companies can have usage of that) :)

#3 - 2008-10-27 03:51 - Szabolcs Szasz

1. Issue "author" (should perhaps be "recorder" or something) is a separate role from the actual issue source, so both should be stored. That would
get this sorted.

2. Also, traceability would be OK, if changing the sender will get logged. (Changing other fields are logged already anyway).

3. Coordinators should definitely be able to do this "on behalf" submission. It's pretty awkward now having to add them as watchers, especially,
because they are often not project members at all (so you first have to add them, polluting the participant lists, just for letting them be watchers).

So, please, please, don't "outsource" this core function to a plugin.
Thanks!

#4 - 2009-02-03 11:46 - Vincent de Lau

See also: #1739

| would welcome both of these issues.

#5 - 2009-03-02 10:43 - Kari Jaaskeldinen

+1 This would be nice for us too
#6 - 2009-05-28 17:16 - Peter Edstrom
+1

If | get a phone call, walk-up, or direct email, | would like to record the ticket "on behalf of" the author and make myself the assigned-to person. Using
watchers will keep everyone in the loop on updates, but will not be properly reflected in the reports (ie, how may issues has person x reported).

I'd suggest making the author modifiable, like the assigned-to, in the "more" section with the ticket title and initial description.

#7 - 2009-07-21 19:59 - Kirill Ponomarev

+1

#8 - 2010-05-15 17:16 - Tharuka Pathirana

+1 | too think this is important and hope this will be added to the 1.0 Release.
https://www.redmine.org/issues/1739

#9 - 2010-10-12 17:32 - Fred Eisele

As mentioned elsewhere...

e The creator of the issue should be immutable.
e The solid approach is to make use of the custom fields.
The problem with the custom fields approach is that it is missing the data types (Format) needed, namely, "User".

"User" would produce a custom field of the same type and behavior as "Assigned To".

#10 - 2010-11-24 15:40 - James Rowe

+1 we do this all the time. We field e-mails from customers who don't feel like using redmine and enter their request in directly.

#11 - 2010-12-16 15:30 - Adam Tsiopani

+1 | often get emails from staff who forget to use the dedicated tracker email and | need to enter their issue into the system and assign them as the
ticket owner.

#12 - 2011-12-23 11:07 - Michael Steiner

+1

#13 - 2012-01-13 09:20 - Chrysovalanto Kousetti

+1

#14 - 2012-08-13 13:49 - Viktor Kuzmin

+1

#15 - 2014-05-11 00:39 - Vinicius Ferreira

+1 A user/owner field would be nice, so it would behave like if the person created the issue itself, but the "added by" would be someone else.

#16 - 2014-07-21 18:36 - Duong Tran

+1 The creator (original reporter) of an issue, like any other reporter, should not be changeable.
On the other hand, the owner of an issue, i.e. the person that

monitors the issue;

acts as the opponent to the Assignee;

receives notifications about every update of the issue, without being explicitly listed as a Watcher;

may be granted "own issue" privileges, e.g. "Edit own issues" or "Set own issue public/private";

may have assigned the special issue visibility "Issues created (i.e. owned) by or assigned to"; and

may have granted special workflow privileges listed under "Additional transitions allowed when the user is the author (i.e. owner)"

must be changeable. Just like the Assignee.
The difference is default Assignee = none, but default Owner = Creator.

#17 - 2014-12-16 09:00 - Mikael Blom

+1 Great feature

#18 - 2015-03-18 04:25 - Ales Seifert

+1 Please implement this, we really need to be able to stop emails going to person who created the issue, we have few people who changed their
work position and should not get this communication any more. Also it would be great if author could click on unwatch to stop this communication.
Even the project wide option which will disable sending any communication to the author could help.

#19 - 2016-12-05 11:29 - Carsten S

+1, would be VERY usefull, please implement it like described in note-16

#20 - 2017-01-11 16:03 - Anonymous

Duong Tran wrote:
+1 The creator (original reporter) of an issue, like any other reporter, should not be changeable.
On the other hand, the owner of an issue, i.e. the person that

e monitors the issue;
¢ acts as the opponent to the Assignee;
receives notifications about every update of the issue, without being explicitly listed as a Watcher;

may be granted "own issue" privileges, e.g. "Edit own issues" or "Set own issue public/private";

may have assigned the special issue visibility "Issues created (i.e. owned) by or assigned to"; and

may have granted special workflow privileges listed under "Additional transitions allowed when the user is the author (i.e. owner)"

must be changeable. Just like the Assignee.

The difference is default Assignee = none, but default Owner = Creator.

+1

#21 - 2022-11-16 10:24 - Go MAEDA

- Status changed from New to Closed

Committed the patch. Thanks to everyone involved in the development of this feature.

e Members who have "Change issue author" permission can change the author of an issue
e Changes are recorded in the journal

#22 - 2022-11-28 23:51 - Marius BALTEANU

- Status changed from Closed to Reopened

Feature was reverted.
